%global uuid temperature@xtranophilist

Name:           gnome-shell-extension-cpu-temperature
Version:        1.1
Release:        1%{?dist}
Summary:        A gnome-shell extension to show the current temperature of CPU

Group:          User Interface/Desktops
License:        GPLv3+
URL:            https://github.com/xtranophilist/gnome-shell-extension-cpu-temperature/
Source0:        https://github.com/xtranophilist/gnome-shell-extension-cpu-temperature/archive/v%{version}.tar.gz
BuildArch:      noarch

Requires:       gnome-shell >= 3.2.0
Requires:       lm_sensors
Requires:       hddtemp

%description
Gnome Shell Extensions that adds an applet on the panel which reveals
current CPU temperature in Degree Celsius and Fahrenheit.

%prep
%setup -q

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}
install -Dp -m 0644 {convenience.js,prefs.js,extension.js,metadata.json} \
  %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/

%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files
%doc README.md
%{_datadir}/gnome-shell/extensions/%{uuid}/

%changelog
* Tue Feb 26 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.1-1
- Minor spec file updates
- No longer git checkout
- Updated to latest upstream version

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.9.gite1777e6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.gite1777e6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.7.gite1777e6
- Wrong command fixed

* Fri Apr 13 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.6.gite1777e6
- Make it work with Gnome Shell 3.4

* Sat Feb 25 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.5.gite1777e6
- Updated to latest upsteam version

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.git1f471c7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 14 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.2.git1f471c7
- Updated to latest upsteam version

* Fri Jul 15 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.2.gitcdc83b0
- Updated to latest upsteam version

* Sat Jun 04 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.1.git712153f
- Initial package for Fedora
